gnupg/doc/Makefile.am

150 lines
4.7 KiB
Makefile
Raw Normal View History

# Copyright (C) 2002, 2004 Free Software Foundation, Inc.
2003-01-09 14:35:32 +01:00
#
2002-06-29 15:31:13 +02:00
# This file is part of GnuPG.
2003-01-09 14:35:32 +01:00
#
2002-06-29 15:31:13 +02:00
# GnuPG is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# GnuPG is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
2006-06-20 19:21:37 +02:00
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
2003-01-09 14:29:36 +01:00
## Process this file with automake to produce Makefile.in
2000-02-08 18:12:00 +01:00
examples = examples/README examples/scd-event examples/trustlist.txt \
examples/gpgconf.conf
EXTRA_DIST = DETAILS HACKING TRANSLATE OpenPGP KEYSERVER samplekeys.asc \
gnupg-logo.eps gnupg-logo.pdf gnupg-logo.png \
2006-06-20 19:47:10 +02:00
gnupg-card-architecture.eps gnupg-card-architecture.png \
gnupg-card-architecture.pdf \
2006-08-22 16:26:35 +02:00
faq.raw FAQ faq.html gnupg7.texi \
2006-09-08 19:02:06 +02:00
opt-homedir.texi see-also-note.texi specify-user-id.texi \
2006-12-06 11:16:50 +01:00
gpgv.texi texi.css $(examples)
2006-06-20 19:47:10 +02:00
BUILT_SOURCES = gnupg-card-architecture.eps gnupg-card-architecture.png \
gnupg-card-architecture.pdf FAQ faq.html
2006-08-17 20:01:25 +02:00
noinst_PROGRAMS = yat2m
2003-01-09 14:35:32 +01:00
info_TEXINFOS = gnupg.texi
2006-09-18 11:28:58 +02:00
dist_pkgdata_DATA = qualified.txt FAQ faq.html com-certs.pem
2003-01-09 14:35:32 +01:00
gnupg_TEXINFOS = \
2006-09-22 20:15:18 +02:00
gpg.texi gpgsm.texi gpg-agent.texi scdaemon.texi instguide.texi \
tools.texi debugging.texi glossary.texi contrib.texi gpl.texi \
2007-05-08 15:59:41 +02:00
sysnotes.texi gnupg-card-architecture.fig \
howtos.texi howto-create-a-server-cert.texi
2007-05-08 10:15:55 +02:00
DVIPS = TEXINPUTS="$(srcdir)$(PATH_SEPARATOR)$$TEXINPUTS" dvips
2006-09-20 13:01:49 +02:00
AM_MAKEINFOFLAGS = -I $(srcdir) --css-include=$(srcdir)/texi.css
YAT2M_OPTIONS = -I $(srcdir) \
2006-08-17 20:01:25 +02:00
--release "GnuPG @PACKAGE_VERSION@" --source "GNU Privacy Guard"
2006-08-22 16:26:35 +02:00
myman_sources = gnupg7.texi gpg.texi gpgsm.texi gpg-agent.texi \
scdaemon.texi tools.texi
2006-10-17 16:34:42 +02:00
myman_pages = gpg2.1 gpgsm.1 gpg-agent.1 scdaemon.1 gpgv2.1 \
watchgnupg.1 gpgconf.1 addgnupghome.8 gpg-preset-passphrase.1 \
gpg-connect-agent.1 gpgparsemail.1 symcryptrun.1 \
gpgsm-gencert.sh.1 applygnupgdefaults.8
2006-08-17 20:01:25 +02:00
man_MANS = $(myman_pages)
2006-10-17 16:34:42 +02:00
noinst_MANS = gnupg.7
2006-08-17 20:01:25 +02:00
watchgnupg_SOURCE = gnupg.texi
CLEANFILES = faq.raw.xref
2006-08-17 20:01:25 +02:00
DISTCLEANFILES = gnupg.tmp gnupg.ops yat2m-stamp.tmp yat2m-stamp \
2006-10-17 16:34:42 +02:00
$(myman_pages) gnupg.7
2006-08-17 20:01:25 +02:00
yat2m_SOURCES = yat2m.c
2007-03-08 19:31:56 +01:00
.fig.png:
fig2dev -L png `test -f '$<' || echo '$(srcdir)/'`$< $@
.fig.jpg:
fig2dev -L jpg `test -f '$<' || echo '$(srcdir)/'`$< $@
.fig.eps:
fig2dev -L eps `test -f '$<' || echo '$(srcdir)/'`$< $@
.fig.pdf:
fig2dev -L pdf `test -f '$<' || echo '$(srcdir)/'`$< $@
FAQ : faq.raw
if WORKING_FAQPROG
$(FAQPROG) -f $< $@ || $(FAQPROG) -f $< $@
else
: Warning: missing faqprog.pl, cannot make $@
echo "No $@ due to missing faqprog.pl" > $@
echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
endif
faq.html : faq.raw
if WORKING_FAQPROG
$(FAQPROG) -h -f $< $@ 2>&1 || $(FAQPROG) -h -f $< $@
else
: Warning: missing faqprog.pl, cannot make $@
echo "No $@ due to missing faqprog.pl" > $@
echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
endif
2006-08-17 20:01:25 +02:00
yat2m-stamp: $(myman_sources)
@rm -f yat2m-stamp.tmp
@touch yat2m-stamp.tmp
for file in $(myman_sources) ; do \
./yat2m $(YAT2M_OPTIONS) --store \
`test -f '$$file' || echo '$(srcdir)/'`$$file ; done
@mv -f yat2m-stamp.tmp $@
yat2m-stamp: yat2m
2006-10-17 16:34:42 +02:00
$(myman_pages) gnupg.7 : yat2m-stamp
2006-08-17 20:01:25 +02:00
@if test -f $@; then :; else \
trap 'rm -rf yat2m-stamp yat2m-lock' 1 2 13 15; \
if mkdir yat2m-lock 2>/dev/null; then \
rm -f yat2m-stamp; \
$(MAKE) $(AM_MAKEFLAGS) yat2m-stamp; \
rmdir yat2m-lock; \
else \
while test -d yat2m-lock; do sleep 1; done; \
test -f yat2m-stamp; exit $$?; \
fi; \
fi
2007-03-08 19:31:56 +01:00
# Make sure that gnupg.texi is touched if any other source file has
# been modified. This is required so that the version.texi magic
# updates the release date.
gnupg.texi : $(gnupg_TEXINFOS)
touch $(srcdir)/gnupg.texi
2007-05-08 10:15:55 +02:00
install-html-local:
cp $(srcdir)/gnupg-logo.png gnupg.html/
2006-09-19 18:25:51 +02:00
online: gnupg.html gnupg.pdf
set -e; \
echo "Uploading current manuals to www.gnupg.org ..."; \
2007-03-08 19:31:56 +01:00
cp gnupg-logo.png gnupg.html/; \
2006-09-19 18:25:51 +02:00
user=werner ; \
(cd gnupg.html && rsync -vr --exclude='.svn' . \
$${user}@cvs.gnupg.org:webspace/manuals/gnupg/ ); \
rsync -v gnupg.pdf $${user}@cvs.gnupg.org:webspace/manuals/